CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
ProtectorGuard Class Reference

Scoped protector push to TestResult. More...

`#include <Protector.h>`

## Public Member Functions
| ProtectorGuard (TestResult *result, Protector *protector)
| Pushes the specified protector. More...
| ~ProtectorGuard ()
| Pops the protector. More...

## Private Attributes
TestResult * | m_result

## Detailed Description

Scoped protector push to TestResult.

Adds the specified Protector to the specified TestResult for the object life-time.

## Constructor & Destructor Documentation

ProtectorGuard::ProtectorGuard | ( | TestResult * | result,
|  | Protector * | protector
| ) |  |

Pushes the specified protector.

ProtectorGuard::~ProtectorGuard | ( |  | ) |

Pops the protector.

## Member Data Documentation

TestResult* ProtectorGuard::m_result
| private

The documentation for this class was generated from the following files:

- Protector.h
- Protector.cpp

| Send comments to: CppUnit Developers